const { USER_POOL_ID } = require('../constants')

interface User {
    username: string;
}

exports.deleteUser = (user: User, client) => {
    console.log('cognito: deleteUser called')

    return new Promise((resolve, reject) => {
        const { username } = user

        const params = {
            UserPoolId: USER_POOL_ID,
            Username: username
        }

        client.adminDeleteUser(params, (err, data) => {
            if (err) {
                reject(`Delete user unsuccessful: ${err}`)
            } else {
                resolve(user)
            }
        })
    })
}
