const email = `testuser${parseInt(Math.random() * 1000, 10)}@bluedot.com`

exports.email = email

exports.loginEvent = {
    fun: 'login',
    body: {
        email,
        password: 'bluedot'
    }
}

exports.postUserEvent = {
    fun: 'postUser',
    body: {
        email,
        username: email,
        password: 'bluedot',
        firstName: 'Carlos',
        lastName: 'Citizen',
        phoneNumber: '+(61) 402342234',
        isAdmin: false,
        accountId: '23a01af0-232a-4518-9c0e-323fb773f5ef',
        state: 'ACTIVE',
        permissions: [
            {
                projectId: '1dc621a1-7980-410b-839b-4bed63600139',
                permissionLevel: 'READWRITE'
            },
            {
                projectId: 'e217737c-28ff-4530-b7b2-9903c2615d33',
                permissionLevel: 'READ'
            }
        ]
    }
}

exports.createDeleteUserEvent = (userId) => ({
    fun: 'deleteUser',
    userId
})

exports.createRefreshEvent = (accessToken, refreshToken) => ({
    fun: 'refresh',
    headers: {
        Authorization: `Bearer ${accessToken}`
    },
    body: {
        refreshToken
    }
})

exports.createLogoutEvent = (accessToken) => ({
    fun: 'logout',
    headers: {
        Authorization: `Bearer ${accessToken}`
    }
})
